// creates "infile.rank" file that lists a class ranking by
// category (category 10 (A+): highest; category 0 (F,NP,W):
// lowest).  note we use "greater<int>" as comparison
// function for definition of mm.  this puts the highest
// categories (grades) at the top of the list.
//

#include "mkevals.h"

void mk_rank_file(UnsStrMMap& mm, string& ofn)
{
    ofstream ofs(ofn.c_str());
    UnsStrMMap::const_iterator pos;
    ofs << "   -- ranking of class students by category --\n"
        << "     (highest categories are highest grades)\n\n"
        << " category        student\n"
        << " --------        -------\n";


    for (pos = mm.begin() ; pos != mm.end() ; pos++){
        ofs << "    " << pos->first
            << "     "
            << pos->second
            << "\n";
    }
}
